include "../Address/ServerInterface.iol"
include "../Age/ServerInterface2.iol"
include "ComposerInterface.iol"

include "config.iol"

execution{ concurrent }

outputPort Server {
	Location: ServerLocation
	Protocol: sodep
	Interfaces: ServerInterface
}

outputPort Server2 {
	Location: Server2Location
	Protocol: sodep
	Interfaces: Server2Interface
}

include "deploy.iol"

main {
	getInfo( request )( response ) {
		{
			getAddress@Server( request )( resp_address )
			|
			getAge@Server2( request )( resp_age )
		}
		;
		response.address = resp_address.address;
		response.age = resp_age.age
	}
}