include "../Address/AddressServerInterface.iol"
include "../Age/AgeServerInterface.iol"
include "ComposerInterface.iol"

include "config.iol"

execution{ concurrent }

outputPort AddressServer {
	Location: AddressServerLocation
	Protocol: sodep
	Interfaces: AddressServerInterface
}

outputPort AgeServer {
	Location: AgeServerLocation
	Protocol: sodep
	Interfaces: AgeServerInterface
}

include "deploy.iol"

main {
	getInfo( request )( response ) {
		{
			getAddress@AddressServer( request )( resp_address )
			|
			getAge@AgeServer( request )( resp_age )
		}
		;
		response.address = resp_address.address;
		response.age = resp_age.age
	}
}