include "ServerInterface.iol"

execution{ concurrent }


include "deploy.iol"

init {
	with( person[ 0 ] ) {
		.name = "Homer";
		.surname = "Simpsons";
		.address = "Street 69, Springfield USA"
	};
	with( person[ 1 ] ) {
		.name = "Bono";
		.surname = "Vox";
		.address = "Some road in Ireland"
	}


}

main {
	getAddress( request )( response ) {		
		index = 0;
		while( index < #person  
				&& person[ index ].name != request.name 
				&& person[ index ].surname != request.domain ) {
			index ++
		};
		if ( index == #person ) {
			throw( PersonNotFound )
		} else {
			response.address = person[ index ].address
		}
	}

}

